AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- ForgotPasswordComponentCore
  - ForgotPasswordComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _authState
- _show
- amplifyService
- code
- code_sent
- errorMessage
- logger
- password
- username

### Accessors

- authState
- data

### Methods

- _setError
- ngOnInit
- onAlertClose
- onSend
- onSignIn
- onSubmit
- setCode
- setPassword
- setUsername

## Constructors

### constructor

- new ForgotPasswordComponentCore(amplifyService: AmplifyService): ForgotPasswordComponentCore

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:112

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns ForgotPasswordComponentCore

## Properties

### _authState

_authState: AuthState

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:105

### _show

_show: boolean

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:106

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:114

### code

code: string

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:108

### code_sent

code_sent: boolean = false

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:111

### errorMessage

errorMessage: string

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:110

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:112

### password

password: string

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:109

### username

username: string

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:107

## Accessors

### authState

authState:

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:129

### data

data:

- Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:119

## Methods

### _setError

- _setError(err: any): void

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:193

  #### Parameters

  - ##### err: any

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:136

  #### Returns void

### onAlertClose

- onAlertClose(): void

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:189

  #### Returns void

### onSend

- onSend(): void

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:154

  #### Returns void

### onSignIn

- onSignIn(): void

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:184

  #### Returns void

### onSubmit

- onSubmit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:169

  #### Returns void

### setCode

- setCode(code: string): void

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:146

  #### Parameters

  - ##### code: string

  #### Returns void

### setPassword

- setPassword(password: string): void

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:150

  #### Parameters

  - ##### password: string

  #### Returns void

### setUsername

- setUsername(username: string): void

- - Defined in aws-amplify-angular/src/components/authenticator/forgot-password-component/forgot-password.component.core.ts:142

  #### Parameters

  - ##### username: string

  #### Returns void